package com.tutego.insel.util.map;

import java.util.HashMap;
import java.util.Map;

public class HashMapDemo
{
  public static void main( String[] args )
  {
    Map<String,String> aldiSupplier = new HashMap<String,String> ();
    aldiSupplier.put( "Carbo, spanischer Sekt", "Freixenet" );
    aldiSupplier.put( "ibu Stapelchips", "Bahlsen Chipsletten" );
    aldiSupplier.put( "Ko-kra Katzenfutter", "felix Katzenfutter" );
    aldiSupplier.put( "Küchenpapier", "Zewa" );
    aldiSupplier.put( "Nuss-Nougat-Creme", "Zentis" );
    aldiSupplier.put( "Pommes Frites", "McCaine" );

    Map<String,Number> num = new HashMap<String,Number>();
    num.put( "zwei", 2 );
    num.put( "drei", 3.0 );

    Number number = num.get( "zwei" );
    if ( number != null )
      System.out.println( number.intValue() );
  }
}
